#pragma once
#include "global.h"
//前置声明
struct PxaData;
//游戏地形组资源加载器
class GamePxa
{
public:
	PxaData* GetPxa(const wchar_t* pxaName);
	void LoadPxa(PxaData* outPxaData, const wchar_t* pxafileName);//载入地形
	void LoadPxaXML(PxaData* outPxaData, const wchar_t* xml);//载入xml地形
	bool IsBackPxa(int pxaID);
	bool IsWindPxa(int pxaID);
private:
	std::unordered_map<std::wstring, PxaData> loadedPxa;//载入的地形数据
};

struct PxaData
{
	std::unordered_map<LONG, int> pxa;
	int tileW;
	int tileH;
	bool bInterArea;
	//实体运行的地图缓存
	std::vector<int> pxaArr;
	int pxaArr_w = 0;
	int pxaArr_h = 0;
	void UpdatePxaArr();//pxa的数据更新到pxaArr中
};